com.h3c.util.observer

## Class AbstractDataListener<E>

- java.lang.Object
- - com.h3c.util.observer.AbstractDataListener<E>

- Type Parameters:
    `E` - Type of the data items to listen to.
  All Implemented Interfaces:
    DataListener<E>

      public abstract class AbstractDataListener<E>
      extends Object
      implements DataListener<E>

  Implementation of `DataListener` with empty method implementations.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractDataListener()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `added(E item)` Method called to notify a new item has been added.
    `void` | `deleted(E item)` Method called to notify an item has been deleted.
    `void` | `updated(E item)` Method called to notify an item has been updated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractDataListener

          public AbstractDataListener()

  - ### Method Detail

    - #### added

          public void added(E item)

      Description copied from interface: `DataListener`
      Method called to notify a new item has been added.
      Specified by:
        `added` in interface `DataListener<E>`
      Parameters:
        `item` - added item.

    - #### updated

          public void updated(E item)

      Description copied from interface: `DataListener`
      Method called to notify an item has been updated.
      Specified by:
        `updated` in interface `DataListener<E>`
      Parameters:
        `item` - updated item.

    - #### deleted

          public void deleted(E item)

      Description copied from interface: `DataListener`
      Method called to notify an item has been deleted.
      Specified by:
        `deleted` in interface `DataListener<E>`
      Parameters:
        `item` - deleted item.

Copyright © 2014. All Rights Reserved.